<div class="card mt-1">
  <div class="card-body">
    <h4 class="text-uppercase"><ins>Lista de productos</ins></h4>
    <div class="table-responsive">
      <table class="table table-bordered table-hover">
        <thead>
        <tr>
          <th width="1%">#item</th>
          <th width="50%">Nombre</th>
          <th width="18%">Precio Bs.</th>
          <th width="10%">Detalle</th>
          <th width="20%">Fecha lanzamiento</th>
          <th width="1%"></th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let producto of productos; let indice = index;">
          <td>{{indice+1}}</td>
          <td>{{producto.nombre}}</td>
          <td>{{producto.precio | number : '1.2-2' }}</td>
          <td>{{producto.oferta ? 'En oferta': 'Ninguna'}}</td>
          <td>{{producto.fecha | date : 'yyyy-MM-dd'}}</td>
          <td>
            <div class="btn-group mr-2" role="group" aria-label="First group">
              <button type="button" class="btn btn-outline-info" (click)="openModal(template, producto)">Modificar</button>
              <button type="button" class="btn btn-outline-danger" (click)="delete(producto)">Eliminar</button>
            </div>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
    <button class="btn btn-success btn-sm float-right" (click)="openModal(template)">Adicionar producto</button>
  </div>
</div>
<ng-template #template>
  <div class="modal-header">
    <h4 class="modal-title pull-left">{{producto.id == null ? 'Nuevo producto': 'Modificar producto'}}</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="card">
      <div class="card-body">
        <form (ngSubmit)="submit()" [formGroup]="formGroup">
          <div class="form-group">
            <label for="nombre">Nombre de producto</label>
            <input type="text" class="form-control" id="nombre"
                   aria-describedby="emailHelp" formControlName="nombre">
          </div>
          <div class="form-group">
            <label for="precio">Precio de producto (Bs.)</label>
            <input type="number" class="form-control"
                   id="precio" formControlName="precio">
          </div>
          <div class="form-group">
            <label for="detalle">Producto en oferta</label>
            <select class="form-control" id="detalle"
            formControlName="oferta">
              <option [ngValue]="null">Seleccionar...</option>
              <option value="true">SI</option>
              <option value="false">NO</option>
            </select>
          </div>
          <div class="form-group">
            <label for="fecha">Fecha de lanzamiento</label>
            <input type="date" class="form-control" id="fecha"
                   formControlName="fecha">
          </div>
          <button type="submit" class="btn btn-primary btn-block" *ngIf="producto.id == null">Guardar</button>
          <button type="submit" class="btn btn-primary btn-block" *ngIf="producto.id != null">Modificar</button>
        </form>
      </div>
    </div>

  </div>
  <div class="modal-footer">
  </div>
</ng-template>
